<template>
  <a-button :type="type" :size="size">{{ label }}</a-button>
</template>

<script lang='ts'>
// import '../../../styles/Atoms/AtomButton/AtomButton.css';

export default {
  name: 'AtomButton',

  props: {
    label: {
      type: String,
      required: true,
    },
    type: {
      type: String,
      default: 'primary',
      validator(value: string): boolean {
        return ['primary', 'outlined', 'dashed', 'danger', 'danger', 'link'].indexOf(value) !== -1;
      },
    },
    size: {
      type: String,
      default: 'default',
      validator(value: string): boolean {
        return ['small', 'default', 'large'].indexOf(value) !== -1;
      },
    },
  },

  methods: {

  },
};
</script>
